summary refs log tree commit diff stats
diff options
context:
space:
mode:
authorPhilip Wernersbach <philip.wernersbach@gmail.com>2014-12-11 23:19:47 -0500
committerPhilip Wernersbach <philip.wernersbach@gmail.com>2014-12-11 23:36:42 -0500
commit6b088938f70220f7e2702e4ec8829a10646a0db4 (patch)
tree7133a9514f49ffe07f447d89632b5f06cc77741c
parent5a52e941b5a5e6fa92b76608dc8ed599821cd6c8 (diff)
downloadNim-6b088938f70220f7e2702e4ec8829a10646a0db4.tar.gz
Add build scripts.
-rwxr-xr-xbuild.sh19
-rw-r--r--install.sh.template9
2 files changed, 28 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 000000000..139c28359
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+set -x
+
+if [ ! -d "csources" ]; then
+	git clone --depth 1 https://github.com/nim-lang/csources.git
+fi
+
+cd "csources"
+sh build.sh
+cd ".."
+
+./bin/nim c koch
+./koch boot -d:release
+
+cp -f install.sh.template install.sh
+chmod +x install.sh
+
+exit 0
diff --git a/install.sh.template b/install.sh.template
new file mode 100644
index 000000000..1292abdab
--- /dev/null
+++ b/install.sh.template
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -e
+set -x
+
+if [ "$1" != "" ]; then
+	exec ./koch install "$1"
+else
+	exec ./koch install
+fi